Bug 705 - При переключении в текстовой консоли на русскую раскладку невозможно ввести знак вопроса \'?\'
: При переключении в текстовой консоли на русскую раскладку невозможно ввести з...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/console-tools)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-03-12 19:03 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-03-12 19:03:09
При переключении в текстовой консоли на русскую раскладку невозможно ввести
знак вопроса \"?\" Не удалось найти комбинацию клавиш, для ввода
этого символа. Используемая раскладка ru_ct_sk.kmap

---

---
------- Comment #1 From 2002-03-15 20:43:29 -------
Где должен быть знак вопроса?

В ru_ct_sh на клавише с латинскими \"? /\" -- русские Ё (Йо). В файле есть комментарий про это: можно убрать Ё и сделать \"/ ?\" на этом месте. Какой вариент правильнее?
------- Comment #2 From 2002-03-15 20:43:29 -------
Где должен быть знак вопроса?

В ru_ct_sh на клавише с латинскими \"? /\" -- русские Ё (Йо). В файле есть комментарий про это: можно убрать Ё и сделать \"/ ?\" на этом месте. Какой вариент правильнее?
------- Comment #3 From 2002-03-16 08:38:06 -------
На мой взгляд, стоит сделать так же, как это сделано в X - \"/ ?\"
оставить там же, где они находятся в английской раскладке, а \"Ё\"
перенести на \"` ~\" (тильда и обратный апостроф). Эти  знаки в
русском используются крайне редко, во всяком случае, мне их ни разу не
понадобилось вводить в русских текстах.
------- Comment #4 From 2002-03-16 08:38:06 -------
На мой взгляд, стоит сделать так же, как это сделано в X - \"/ ?\"
оставить там же, где они находятся в английской раскладке, а \"Ё\"
перенести на \"` ~\" (тильда и обратный апостроф). Эти  знаки в
русском используются крайне редко, во всяком случае, мне их ни разу не
понадобилось вводить в русских текстах.
------- Comment #5 From 2002-04-14 20:43:26 -------
В console-tools-0.2.3 (использующие console-data-cyrillic-0.0.4) во всех
четырех ru_* раскладках буква \"Ё\" убрана с клавиши \"slash
questionmark\" и перемещена на то место, где она находится в
win-раскладках: \"tilde grave\".
------- Comment #6 From 2002-04-14 20:43:26 -------
В console-tools-0.2.3 (использующие console-data-cyrillic-0.0.4) во всех
четырех ru_* раскладках буква \"Ё\" убрана с клавиши \"slash
questionmark\" и перемещена на то место, где она находится в
win-раскладках: \"tilde grave\".
------- Comment #7 From 2002-04-14 20:44:25 -------
Я имел в виду console-tools-0.2.3-ipl11mdk.
------- Comment #8 From 2002-04-14 20:44:25 -------
Я имел в виду console-tools-0.2.3-ipl11mdk.
------- Comment #9 From 2002-11-07 19:31:37 -------
not closed by the reporter
closing myself
------- Comment #10 From 2002-11-07 19:31:37 -------
not closed by the reporter
closing myself